CommonParams.EchoParamStyle (Solr 3.6.2 API)
Keywords: org.apache.solr.common.params.CommonParams.EchoParamStyle class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.common.params
Enum CommonParams.EchoParamStyle

    java.lang.Object
      java.lang.Enum<CommonParams.EchoParamStyle>
          org.apache.solr.common.params.CommonParams.EchoParamStyle

All Implemented Interfaces:
  Serializable, Comparable<CommonParams.EchoParamStyle>

Enclosing interface:
  CommonParams

    public static enum CommonParams.EchoParamStyle

extends Enum<CommonParams.EchoParamStyle>

valid values for: `echoParams`

Enum Constant Summary
`ALL`
`EXPLICIT`
`NONE`

Method Summary
`static CommonParams.EchoParamStyle` | `get(String v)`
`static CommonParams.EchoParamStyle` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CommonParams.EchoParamStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXPLICIT

    public static final CommonParams.EchoParamStyle EXPLICIT

### ALL

    public static final CommonParams.EchoParamStyle ALL

### NONE

    public static final CommonParams.EchoParamStyle NONE

Method Detail

### values

    public static final CommonParams.EchoParamStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CommonParams.EchoParamStyle c : CommonParams.EchoParamStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CommonParams.EchoParamStyle valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static CommonParams.EchoParamStyle get(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD